/* Copyright (c) 2010 Nordic Semiconductor. All Rights Reserved.
*
* The information contained herein is property of Nordic Semiconductor ASA.
* Terms and conditions of usage are described in detail in NORDIC
* SEMICONDUCTOR STANDARD SOFTWARE LICENSE AGREEMENT.
*
* Licensees are granted free, non-transferable use of the information. NO
* WARRANTY of ANY KIND is provided. This heading must NOT be removed from
* the file.
*/

/**
* This file is autogenerated by nRFgo studio
*/
 

#include "services.h"
#include "system.h"
#include "lib_traces.h"
#include "lib_aci.h"
#include <stdio.h>

static bool is_packet_counter_counter_send_requested = false;
static bool is_packet_counter_counter_set_requested = false;

static uint8_t packet_counter_counter;


static bool packet_counter_counter_update_send()
{
  if (lib_aci_is_pipe_available(PIPE_PACKET_COUNTER_COUNTER_TX))
  {
    return(lib_aci_send_data(PIPE_PACKET_COUNTER_COUNTER_TX, (void*)&packet_counter_counter, 1));
  }
  return(false);
}

void services_send_packet_counter_counter(uint8_t src)
{
  packet_counter_counter = src;
  is_packet_counter_counter_send_requested = true;
  services_update_pipes();
}
static bool packet_counter_counter_update_set()
{
  return(lib_aci_set_local_data(PIPE_PACKET_COUNTER_COUNTER_TX, (void*)&packet_counter_counter, 1));
}

void services_set_packet_counter_counter(uint8_t src)
{
  packet_counter_counter = src;
  is_packet_counter_counter_set_requested = true;
  services_update_pipes();
}

void services_update_pipes()
{
  if(is_packet_counter_counter_send_requested)
  {
    is_packet_counter_counter_send_requested = !(packet_counter_counter_update_send());
  }
  if(is_packet_counter_counter_set_requested)
  {
    is_packet_counter_counter_set_requested = !(packet_counter_counter_update_set());
  }
}
