/* Copyright (c) 2010 Nordic Semiconductor. All Rights Reserved.
 *
 * The information contained herein is property of Nordic Semiconductor ASA.
 * Terms and conditions of usage are described in detail in NORDIC
 * SEMICONDUCTOR STANDARD SOFTWARE LICENSE AGREEMENT. 
 *
 * Licensees are granted free, non-transferable use of the information. NO
 * WARRENTY of ANY KIND is provided. This heading must NOT be removed from
 * the file.
 *
 * $LastChangedRevision:  $
 */ 
#ifndef SYSTEM_H__
#define SYSTEM_H__

#include "bool.h"
#include "LPC11xx.h"


#define HAL_IO_RADIO_CSN       HAL_IO_P210
#define HAL_IO_RADIO_ACTIVE    HAL_IO_P19
#define HAL_IO_RADIO_REQN      HAL_IO_P28
#define HAL_IO_RADIO_RDY       HAL_IO_P29
#define HAL_IO_RADIO_SCK       HAL_IO_P211
#define HAL_IO_RADIO_MOSI      HAL_IO_P09
#define HAL_IO_RADIO_MISO      HAL_IO_P08

#define HAL_IO_LED0            HAL_IO_P30
#define HAL_IO_LED1            HAL_IO_P31
#define HAL_IO_LED2			   HAL_IO_P32
#define HAL_IO_LED3			   HAL_IO_P33

#define ENABLE_INTERRUPTS() __enable_irq();
#define DISABLE_INTERRUPTS() __disable_irq();
#define ARE_INTERRUPTS_ENABLED() (bool)(!__get_PRIMASK())
#define ENABLE_UART_IRQ() 			(LPC_UART->IER = IER_RBR); // | IER_RLS);
#define DISABLE_UART_IRQ() 			(LPC_UART->IER = 0);


void system_init(void);
void reset_ant_radio();
void reset_btle_radio();

#endif // SYSTEM_H__
