/*
 * ui.c
 *
 *  Created on: 16. apr. 2011
 *      Author: pebr
 *
 *
 *  User interface for the ant_btle test application
 */

#include <string.h>
#include <stdlib.h>
#include "lib_dispatcher.h"
#include "timer32.h"
#include "counter_app_ant.h"
#include "counter_app_btle.h"
#include "lpc_swu.h"
#include "antdefines.h"
#include "system.h"

#ifndef NULL
#define NULL (void*)0x00
#endif


#define UI_BUF_LEN	32
static char ui_buf[UI_BUF_LEN];
static uint8_t ui_buf_index = 0;


void process_ui_cmd()
{

	if (strncmp((const char*)&ui_buf[0], "start", 5) == 0)
	{
		lib_dispatcher_post_msg(HANDLE_PROCESS_ANT_COUNTER_APP, (uint8_t*)"start", 5, NORMAL_PRIORITY);
		lib_dispatcher_post_msg(HANDLE_PROCESS_COUNTER_APP, (uint8_t*)"start", 5, NORMAL_PRIORITY);
		start_timer(100*1000);
	}
	else if (strncmp((const char*)&ui_buf[0], "ant_start", 9) == 0)
	{
		lib_dispatcher_post_msg(HANDLE_PROCESS_ANT_COUNTER_APP, (uint8_t*)"start", 5, NORMAL_PRIORITY);
		start_timer(100*1000);

	}
	else if (strncmp((const char*)&ui_buf[0], "btle_start", 10) == 0)
	{
		lib_dispatcher_post_msg(HANDLE_PROCESS_COUNTER_APP, (uint8_t*)"start", 5, NORMAL_PRIORITY);
		start_timer(100*1000);
	}
	else if (strncmp((const char*)&ui_buf[0], "stop", 4) == 0)
	{
		lib_dispatcher_post_msg(HANDLE_TIMER_INTERRUPT, NULL, 0, HIGH_PRIORITY);
	}

	else if (strncmp((const char*)&ui_buf[0], "ant_period", 10) == 0)
	{
		ant_setup.channel_period = atoi(&ui_buf[11]);
	}
	else if (strncmp((const char*)&ui_buf[0], "ant_freq", 8) == 0)
	{
		char* ptr = &ui_buf[9];
		ant_setup.frequencies[0] = atoi(ptr);
		while (*ptr != ' ' && *ptr != '\0') ptr++;
		ant_setup.frequencies[1] = atoi(++ptr);
		while (*ptr != ' ' && *ptr != '\0') ptr++;
		ant_setup.frequencies[2] = atoi(++ptr);

	}
	else if (strncmp((const char*)&ui_buf[0], "ant_enable_freq_agility", 23) == 0)
	{
		if (ui_buf[24] == '1')
			ant_setup.frequency_agility_enabled = true;
		else
			ant_setup.frequency_agility_enabled = false;
	}
	else if (strncmp((const char*)&ui_buf[0], "ant_tx_power", 12) == 0)
	{
		ant_setup.tx_power = atoi(&ui_buf[13]);
	}
	else if (strncmp((const char*)&ui_buf[0], "ant_type", 8) == 0)
	{
		if (ui_buf[9] == '0') // 0: master, 1: slave
			ant_setup.channel_type = PARAMETER_TX_NOT_RX;	// 0x10: Tx channel
		else
			ant_setup.channel_type = PARAMETER_RX_NOT_TX;	// 0x00: Rx channel
	}
	else if (strncmp((const char*)&ui_buf[0], "btle_tx_power", 13) == 0)
	{
		btle_setup.tx_power = atoi(&ui_buf[14]);
	}
	else if (strncmp((const char*)&ui_buf[0], "btle_adv_timeout", 16) == 0)
	{
		btle_setup.adv_timeout = atoi(&ui_buf[17]);
	}
	else if (strncmp((const char*)&ui_buf[0], "reset", 5) == 0)
	{
		lib_dispatcher_post_msg(HANDLE_PROCESS_ANT_COUNTER_APP, (uint8_t*)"reset", 5, HIGH_PRIORITY);
		lib_dispatcher_post_msg(HANDLE_PROCESS_COUNTER_APP, (uint8_t*)"reset", 5, HIGH_PRIORITY);
	}

	ui_buf_index = 0; // flush buffer

}

void swu_rx_callback(void)
{

	unsigned char c = swu_rx_chr();

	swu_tx_chr(c);

	if (c == '\n')
	{
		ui_buf[ui_buf_index] = '\0';
		process_ui_cmd();
	}
	else if (ui_buf_index == UI_BUF_LEN)
	{
		// Overflow
		ui_buf_index = 0;
	}
	else
	{
		ui_buf[ui_buf_index++] = (char)c;
	}
}
