/*
===============================================================================
 Name        : main.c
 Author      : $(author)
 Version     :
 Copyright   : $(copyright)
 Description : main definition
===============================================================================
*/

#include <stdio.h>  // puts
#include <string.h>

#include "LPC11xx.h"
#include "system.h"
#include "gpio.h"
#include "lib_dispatcher.h"
#include "lib_aci.h"
#include "lib_ant.h"
#include "weight_app_ant.h"
#include "weight_app_btle.h"
#include "lpc_swu.h"
#include "timer32.h"

void lib_aci_post_msg_hook(uint8_t ident)
{
	lib_dispatcher_post_msg(ident, NULL, 0, HIGH_PRIORITY);
}


int main(void) {

	system_init();

	lib_aci_init();
	ANT_Init(19200);

	lib_dispatcher_init();

	reset_btle_radio();
	reset_ant_radio();

	//ENABLE_INTERRUPTS();

	// Set default setup values
	ant_setup.channel_type = PARAMETER_RX_NOT_TX;
	ant_setup.channel_period = 4;
	ant_setup.frequencies[0] = 57;
	ant_setup.frequencies[1] = 0;
	ant_setup.frequencies[2] = 0;
	ant_setup.frequency_agility_enabled = false;
	ant_setup.tx_power = DEFAULT_RADIO_TX_POWER;
	ant_setup.search_timeout = 255; // Infinite

	btle_setup.tx_power = ACI_DEVICE_OUTPUT_POWER_0DBM;
	btle_setup.adv_timeout = 0;


	while(1) lib_dispatcher_dispatch();
	
	return 0 ;
}
