/* Copyright (c) 2010 Nordic Semiconductor. All Rights Reserved.
*
* The information contained herein is property of Nordic Semiconductor ASA.
* Terms and conditions of usage are described in detail in NORDIC
* SEMICONDUCTOR STANDARD SOFTWARE LICENSE AGREEMENT.
*
* Licensees are granted free, non-transferable use of the information. NO
* WARRANTY of ANY KIND is provided. This heading must NOT be removed from
* the file.
*/

/**
* This file is autogenerated by nRFgo studio
*/
 

#include "services.h"
#include "system.h"
#include "lib_traces.h"
#include "lib_aci.h"
#include <stdio.h>

static bool is_weight_weight_send_requested = false;
static bool is_weight_weight_set_requested = false;

static void *weight_weight;
uint8_t weight_weight_size;


static bool weight_weight_update_send()
{
  if (lib_aci_is_pipe_available(PIPE_WEIGHT_WEIGHT_TX))
  {
    return(lib_aci_send_data(PIPE_WEIGHT_WEIGHT_TX, (void*)weight_weight, weight_weight_size));
  }
  return(false);
}

void services_send_weight_weight(void *src, int size)
{
  weight_weight_size = size;
  weight_weight = src;
  is_weight_weight_send_requested = true;
  services_update_pipes();
}
static bool weight_weight_update_set()
{
  return(lib_aci_set_local_data(PIPE_WEIGHT_WEIGHT_TX, (void*)weight_weight, weight_weight_size));
}

void services_set_weight_weight(void *src, int size)
{
  weight_weight_size = size;
  weight_weight = src;
  is_weight_weight_set_requested = true;
  services_update_pipes();
}

void services_update_pipes()
{
  if(is_weight_weight_send_requested)
  {
    is_weight_weight_send_requested = !(weight_weight_update_send());
  }
  if(is_weight_weight_set_requested)
  {
    is_weight_weight_set_requested = !(weight_weight_update_set());
  }
}
