/*
 * counter_app_btle.h
 *
 *  Created on: 28. mars 2011
 *      Author: pebr
 */

#ifndef COUNTER_APP_BTLE_H_
#define COUNTER_APP_BTLE_H_

#include "aci.h"

typedef enum {
	COUNTER_APP_SEND_CONFIG_UPLOAD,
	COUNTER_APP_WAIT_STDBY,
	COUNTER_APP_IDLE,
	COUNTER_APP_SET_TX_POWER,
	COUNTER_APP_CONNECT,
	COUNTER_APP_RUN
} btle_state_t;

typedef struct btle_setup_t {
	aci_device_output_power_t tx_power;
	uint16_t adv_timeout;
} btle_setup_t;

volatile btle_setup_t btle_setup;

void on_btle_process_weight_app(uint8_t size, uint8_t* buffer);

void on_transaction_finished(uint8_t size, uint8_t* buffer);
void on_radio_started_setup(uint8_t size, uint8_t* buffer);
void on_radio_started_stdby(uint8_t size, uint8_t* buffer);

void on_radio_connected (uint8_t size, uint8_t* buffer);

void on_error (uint8_t size, uint8_t* buffer);
void on_hw_error (uint8_t size, uint8_t* buffer);

#endif /* COUNTER_APP_BTLE_H_ */
